<<

# Bugzilla::Webservice::Product

- NAME
- DESCRIPTION
- METHODS
- List Products
  - get_selectable_products
  - get_enterable_products
  - get_accessible_products
  - get

# NAME

Bugzilla::Webservice::Product - The Product API

# DESCRIPTION

This part of the Bugzilla API allows you to list the available Products and get information about them.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

# List Products

## get_selectable_products

EXPERIMENTAL

Description

  Returns a list of the ids of the products the user can search on.

Params (none)
Returns

  A hash containing one item, `ids`, that contains an array of product ids.

Errors (none)

## get_enterable_products

EXPERIMENTAL

Description

  Returns a list of the ids of the products the user can enter bugs against.

Params (none)
Returns

  A hash containing one item, `ids`, that contains an array of product ids.

Errors (none)

## get_accessible_products

UNSTABLE

Description

  Returns a list of the ids of the products the user can search or enter bugs against.

Params (none)
Returns

  A hash containing one item, `ids`, that contains an array of product ids.

Errors (none)

## get

EXPERIMENTAL

Description

  Returns a list of information about the products passed to it.

  Note: Can also be called as "get_products" for compatibilty with Bugzilla 3.0 API.

Params

  A hash containing one item, `ids`, that is an array of product ids.

Returns

  A hash containing one item, `products`, that is an array of hashes. Each hash describes a product, and has the following items: `id`, `name`, `description`, and `internals`. The `id` item is the id of the product. The `name` item is the name of the product. The `description` is the description of the product. Finally, the `internals` is an internal representation of the product.

  Note, that if the user tries to access a product that is not in the list of accessible products for the user, or a product that does not exist, that is silently ignored, and no information about that product is returned.

Errors (none)

<<